/* ///////////////////////////////////////////////////////////////////////
 * File:		rand.h		
 *
 * Created:		08.05.24		
 * Updated:		08.09.08	
 *
 * Brief:		The random number generator
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */

#ifndef EXTL_MATH_RAND_H
#define EXTL_MATH_RAND_H

/*!\file rand.h
 * \brief The random number generator
 */

#ifndef __cplusplus
#	error rand.h need be supported by c++.
#endif

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "prefix.h"
#include "linear_rand.h"
#include "rand_selector.h"
/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_MATH_RAND_H */
/* //////////////////////////////////////////////////////////////////// */
